> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Warrant Upload

> Bulk-creates DRAFT warrants from row data, resolving investors by external ID and investor entity.

Not available to API keys yet. It will need `grants:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/bulk-warrant-upload
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/bulk-warrant-upload:
    post:
      operationId: bulkWarrantUpload
      summary: Bulk Warrant Upload
      description: >-
        Bulk-creates DRAFT warrants from row data, resolving investors by
        external ID and investor entity.


        Not available to API keys yet. It will need `grants:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkWarrantUploadRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkWarrantUploadResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    BulkWarrantUploadRequest:
      type: array
      items:
        type: object
        properties:
          warrantName:
            type: string
            minLength: 1
            maxLength: 200
          warrantDescription:
            type: string
            maxLength: 5000
          warrantConfigurationID:
            type: string
            format: uuid
          warrantAmount:
            oneOf:
              - type: string
              - type: number
          purchasePrice:
            oneOf:
              - type: string
              - type: number
          lockupPeriodMonths:
            oneOf:
              - type: string
              - type: number
          roleInOrgExternalID:
            oneOf:
              - type: string
              - type: number
          issueDate:
            oneOf:
              - type: string
              - type: string
                format: date-time
          expirationDate:
            oneOf:
              - type: string
              - type: string
                format: date-time
          agreementSignedAt:
            oneOf:
              - type: string
              - type: string
                format: date-time
          investorEntityID:
            type:
              - string
              - 'null'
            format: uuid
        required:
          - warrantName
          - warrantDescription
          - warrantConfigurationID
          - warrantAmount
          - purchasePrice
          - lockupPeriodMonths
          - roleInOrgExternalID
          - issueDate
    BulkWarrantUploadResponse:
      type: object
      properties:
        count:
          type: integer
      required:
        - count
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
